import Vue from "vue";
import { throttle } from "lodash-es";
import { message } from "ant-design-vue";
import { logout } from "@/api/loginPage";

export const notifyInvalidTokenThrottled = throttle(() => {
  message.error({
    content: "登录失效，请重新登录！",
    duration: 10,
  });
  setTimeout(() => {
    logout();
  }, 3000);
  console.log("登录失效");
}, 1000);
